Bug 1806699 - Limit-based pod evictions are not reported in the kubelet_evictions metric
Summary: Limit-based pod evictions are not reported in the kubelet_evictions metric
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1806698
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 19:08 UTC by Clayton Coleman
Modified: 2020-06-02 11:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1806698
Environment:
Last Closed: 2020-06-02 11:17:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24603 None closed Bug 1806699: Limit-based eviction should report metrics 2020-07-23 16:44:56 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:18:14 UTC

Description Clayton Coleman 2020-02-24 19:08:08 UTC
+++ This bug was initially created as a clone of Bug #1806698 +++

A limit-based eviction is similar to a capacity-based eviction from a user perspective (their pod is marked as evicted), and pods that frequently get evicted based on limits can have the same impacts on a node as pods getting evicted based on capacity.  kubelet_evictions should also report limit-based eviction so it can be measured and alerted on.

Backport to 4.4

Comment 5 errata-xmlrpc 2020-06-02 11:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.